Name: kio-clipboard
Version: 0.1
Release: alt2

Summary: Kioslave to access the KDE clipboard
License: LGPL
Group: Graphical desktop/KDE
Url: http://www.kde-look.org/content/show.php?content=48046

Source: %name-%version.tar.bz2
Patch0: %name-0.1-admin-new-autotools.patch

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

BuildPreReq: gcc-c++ kdelibs-devel

%description
kio_clipboard is a kioslave (protocol) to access the KDE clipboard. It
allows you to retrieve the contents of the clipboard in various
different formats as if they were files. You can use it to upload a
screenshot with Konqueror without saving it to a file. Or, you can use
it as a tool to quickly convert between different file formats.
A directory notification module is included, meaning any file views
automatically refresh whenever the contents of the clipboard change.

%prep
%setup
%patch0 -p1
%__subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
%make -f admin/Makefile.common

%build
%configure \
        --enable-final
%make_build

%install
%makeinstall

%files
%_libkde/*.la
%_libkde/*.so*
%_Kservices/clipboard.protocol
%_Kservices/kded/clipboardhelper.desktop

%changelog
* Tue Dec 25 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.1-alt2
- fix building with new autotools

* Mon Nov 20 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.1-alt1
- initial build
